summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2018-11-21 06:26:48 -0500
committerMike Gilbert <floppym@gentoo.org>2018-11-21 06:26:48 -0500
commit0c090a8f5b41f48b6df18275a4cc80d121797731 (patch)
tree92c30ad1e63f7ba199ea25f726e4e2643be61f79 /sys-libs/libcap
parentwww-client/vivaldi-snapshot: Version 2.2.1373.4_p1 (diff)
downloadgentoo-0c090a8f5b41f48b6df18275a4cc80d121797731.tar.gz
gentoo-0c090a8f5b41f48b6df18275a4cc80d121797731.tar.bz2
gentoo-0c090a8f5b41f48b6df18275a4cc80d121797731.zip
sys-libs/libcap: pass prefix to make
Also pass build variables instead of using sed. Closes: https://bugs.gentoo.org/631734 Package-Manager: Portage-2.3.51_p14, Repoman-2.3.12_p5 Signed-off-by: Mike Gilbert <floppym@gentoo.org>
Diffstat (limited to 'sys-libs/libcap')
-rw-r--r--sys-libs/libcap/libcap-2.26-r1.ebuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/sys-libs/libcap/libcap-2.26-r1.ebuild b/sys-libs/libcap/libcap-2.26-r1.ebuild
new file mode 100644
index 00000000000..ea415972d36
--- /dev/null
+++ b/sys-libs/libcap/libcap-2.26-r1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib multilib-minimal toolchain-funcs pam
+
+DESCRIPTION="POSIX 1003.1e capabilities"
+HOMEPAGE="http://www.friedhoff.org/posixfilecaps.html"
+SRC_URI="mirror://kernel/linux/libs/security/linux-privs/libcap2/${P}.tar.xz"
+
+# it's available under either of the licenses
+LICENSE="|| ( GPL-2 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="pam static-libs"
+
+# While the build system optionally uses gperf, we don't DEPEND on it because
+# the build automatically falls back when it's unavailable. #604802
+RDEPEND=">=sys-apps/attr-2.4.47-r1[${MULTILIB_USEDEP}]
+ pam? ( virtual/pam )"
+DEPEND="${RDEPEND}
+ sys-kernel/linux-headers"
+
+# Requires test suite being run as root (via sudo)
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.25-build-system-fixes.patch
+ "${FILESDIR}"/${PN}-2.26-no-perl.patch
+ "${FILESDIR}"/${PN}-2.25-ignore-RAISE_SETFCAP-install-failures.patch
+ "${FILESDIR}"/${PN}-2.21-include.patch
+)
+
+src_prepare() {
+ default
+ multilib_copy_sources
+}
+
+run_emake() {
+ local args=(
+ prefix="${EPREFIX}/usr"
+ lib="$(get_libdir)"
+ PAM_CAP=$(multilib_native_usex pam yes no)
+ DYNAMIC=yes
+ )
+ emake "${args[@]}" "$@"
+}
+
+multilib_src_compile() {
+ tc-export AR CC RANLIB
+ local BUILD_CC
+ tc-export_build_env BUILD_CC
+
+ run_emake
+}
+
+multilib_src_install() {
+ # no configure, needs explicit install line #444724#c3
+ run_emake DESTDIR="${D}" install
+
+ gen_usr_ldscript -a cap
+ if ! use static-libs ; then
+ rm "${ED%/}"/usr/$(get_libdir)/libcap.a || die
+ fi
+
+ if [[ -d "${ED%/}"/usr/$(get_libdir)/security ]] ; then
+ rm -r "${ED%/}"/usr/$(get_libdir)/security || die
+ fi
+
+ if multilib_is_native_abi && use pam; then
+ dopammod pam_cap/pam_cap.so
+ dopamsecurity '' pam_cap/capability.conf
+ fi
+}
+
+multilib_src_install_all() {
+ dodoc CHANGELOG README doc/capability.notes
+}